package com.mortals.xhx.module.basics.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:BasicsInfo
* date: 2021-8-19 10:03:24
*/
public class BasicsInfoQuery extends BasicsInfoEntity{
    private static final long serialVersionUID = 1629338604650L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 模板标题 */
    private List<String> titleList;
    /** 开始 一件事基础表id */
    private Long basicsIdStart;

    /** 结束 一件事基础表id */
    private Long basicsIdEnd;

    /** 增加 一件事基础表id */
    private Long basicsIdIncrement;

    /** 一件事基础表id */
    private List <Long> basicsIdList;


    /** 办理机构 */
    private List<String> jointInfoShowList;

    /** 法定时限 */
    private List<String> legalTimeLimitShowList;

    /** 承诺时限 */
    private List<String> promiseTimeLimitShowList;

    /** 开始 是否收费,0,否，1是 默认0 */
    private Integer isChargesShowStart;

    /** 结束 是否收费,0,否，1是 默认0 */
    private Integer isChargesShowEnd;

    /** 增加 是否收费,0,否，1是 默认0 */
    private Integer isChargesShowIncrement;

    /** 是否收费,0,否，1是 默认0 */
    private List <Integer> isChargesShowList;

    /** 收费金额 */
    private List<String> chargesList;

    /** 办公时间 */
    private List<String> handleTimeShowList;

    /** 办公地址 */
    private List<String> handlePlaceShowList;

    /** 咨询电话 */
    private List<String> cousultingTelephoneShowList;

    /** 投诉电话 */
    private List<String> supervisoryTelephoneShowList;

    /** 结果信息 */
    private List<String> resultInfoList;

    /** 常见问题 */
    private List<String> qaList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BasicsInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BasicsInfoQuery> andConditionList;


    public BasicsInfoQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 模板标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 模板标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }
    /**
    * 获取 开始 一件事基础表id
    * @return basicsIdStart
    */
    public Long getBasicsIdStart(){
    return this.basicsIdStart;
    }

    /**
    * 设置 开始 一件事基础表id
    * @param basicsIdStart
    */
    public void setBasicsIdStart(Long basicsIdStart){
    this.basicsIdStart = basicsIdStart;
    }

    /**
    * 获取 结束 一件事基础表id
    * @return basicsIdEnd
    */
    public Long getBasicsIdEnd(){
    return this.basicsIdEnd;
    }

    /**
    * 设置 结束 一件事基础表id
    * @param basicsIdEnd
    */
    public void setBasicsIdEnd(Long basicsIdEnd){
    this.basicsIdEnd = basicsIdEnd;
    }

    /**
    * 获取 增加 一件事基础表id
    * @return basicsIdIncrement
    */
    public Long getBasicsIdIncrement(){
    return this.basicsIdIncrement;
    }

    /**
    * 设置 增加 一件事基础表id
    * @param basicsIdIncrement
    */
    public void setBasicsIdIncrement(Long basicsIdIncrement){
    this.basicsIdIncrement = basicsIdIncrement;
    }

    /**
    * 获取 一件事基础表id
    * @return basicsIdList
    */
    public List<Long> getBasicsIdList(){
    return this.basicsIdList;
    }

    /**
    * 设置 一件事基础表id
    * @param basicsIdList
    */
    public void setBasicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
        }
    /**
    * 获取 办理机构
    * @return jointInfoShowList
    */
    public List<String> getJointInfoShowList(){
        return this.jointInfoShowList;
    }

    /**
    * 设置 办理机构
    * @param jointInfoShowList
    */
    public void setJointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
    }
    /**
    * 获取 法定时限
    * @return legalTimeLimitShowList
    */
    public List<String> getLegalTimeLimitShowList(){
        return this.legalTimeLimitShowList;
    }

    /**
    * 设置 法定时限
    * @param legalTimeLimitShowList
    */
    public void setLegalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
    }
    /**
    * 获取 承诺时限
    * @return promiseTimeLimitShowList
    */
    public List<String> getPromiseTimeLimitShowList(){
        return this.promiseTimeLimitShowList;
    }

    /**
    * 设置 承诺时限
    * @param promiseTimeLimitShowList
    */
    public void setPromiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
    }
    /**
    * 获取 开始 是否收费,0,否，1是 默认0
    * @return isChargesShowStart
    */
    public Integer getIsChargesShowStart(){
        return this.isChargesShowStart;
    }

    /**
    * 设置 开始 是否收费,0,否，1是 默认0
    * @param isChargesShowStart
    */
    public void setIsChargesShowStart(Integer isChargesShowStart){
        this.isChargesShowStart = isChargesShowStart;
    }

    /**
    * 获取 结束 是否收费,0,否，1是 默认0
    * @return isChargesShowEnd
    */
    public Integer getIsChargesShowEnd(){
        return this.isChargesShowEnd;
    }

    /**
    * 设置 结束 是否收费,0,否，1是 默认0
    * @param isChargesShowEnd
    */
    public void setIsChargesShowEnd(Integer isChargesShowEnd){
        this.isChargesShowEnd = isChargesShowEnd;
    }

    /**
    * 获取 增加 是否收费,0,否，1是 默认0
    * @return isChargesShowIncrement
    */
    public Integer getIsChargesShowIncrement(){
        return this.isChargesShowIncrement;
    }

    /**
    * 设置 增加 是否收费,0,否，1是 默认0
    * @param isChargesShowIncrement
    */
    public void setIsChargesShowIncrement(Integer isChargesShowIncrement){
        this.isChargesShowIncrement = isChargesShowIncrement;
    }

    /**
    * 获取 是否收费,0,否，1是 默认0
    * @return isChargesShowList
    */
    public List<Integer> getIsChargesShowList(){
        return this.isChargesShowList;
    }

    /**
    * 设置 是否收费,0,否，1是 默认0
    * @param isChargesShowList
    */
    public void setIsChargesShowList(List<Integer> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
    }
    /**
    * 获取 收费金额
    * @return chargesList
    */
    public List<String> getChargesList(){
        return this.chargesList;
    }

    /**
    * 设置 收费金额
    * @param chargesList
    */
    public void setChargesList(List<String> chargesList){
        this.chargesList = chargesList;
    }
    /**
    * 获取 办公时间
    * @return handleTimeShowList
    */
    public List<String> getHandleTimeShowList(){
        return this.handleTimeShowList;
    }

    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public void setHandleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
    }
    /**
    * 获取 办公地址
    * @return handlePlaceShowList
    */
    public List<String> getHandlePlaceShowList(){
        return this.handlePlaceShowList;
    }

    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public void setHandlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
    }
    /**
    * 获取 咨询电话
    * @return cousultingTelephoneShowList
    */
    public List<String> getCousultingTelephoneShowList(){
        return this.cousultingTelephoneShowList;
    }

    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public void setCousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
    }
    /**
    * 获取 投诉电话
    * @return supervisoryTelephoneShowList
    */
    public List<String> getSupervisoryTelephoneShowList(){
        return this.supervisoryTelephoneShowList;
    }

    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public void setSupervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
    }
    /**
    * 获取 结果信息
    * @return resultInfoList
    */
    public List<String> getResultInfoList(){
        return this.resultInfoList;
    }

    /**
    * 设置 结果信息
    * @param resultInfoList
    */
    public void setResultInfoList(List<String> resultInfoList){
        this.resultInfoList = resultInfoList;
    }
    /**
    * 获取 常见问题
    * @return qaList
    */
    public List<String> getQaList(){
        return this.qaList;
    }

    /**
    * 设置 常见问题
    * @param qaList
    */
    public void setQaList(List<String> qaList){
        this.qaList = qaList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public BasicsInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public BasicsInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public BasicsInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public BasicsInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public BasicsInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 模板标题
    * @param title
    */
    public BasicsInfoQuery title(String title){
        setTitle(title);
		return this;
    }


    /**
    * 设置 模板标题
    * @param titleList
    */
    public BasicsInfoQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

	/**
    * 设置  一件事基础表id
    * @param basicsId
    */
    public BasicsInfoQuery basicsId(Long basicsId){
	    setBasicsId(basicsId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事基础表id
    * @param basicsIdStart
    */
    public BasicsInfoQuery basicsIdStart(Long basicsIdStart){
		this.basicsIdStart = basicsIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事基础表id
    * @param basicsIdEnd
    */
    public BasicsInfoQuery basicsIdEnd(Long basicsIdEnd){
		this.basicsIdEnd = basicsIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事基础表id
    * @param basicsIdIncrement
    */
    public BasicsInfoQuery basicsIdIncrement(Long basicsIdIncrement){
		this.basicsIdIncrement = basicsIdIncrement;
		return this;
    }

    /**
    * 设置 一件事基础表id
    * @param basicsIdList
    */
    public BasicsInfoQuery basicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
		return this;
        }
	/**
    * 设置 办理机构
    * @param jointInfoShow
    */
    public BasicsInfoQuery jointInfoShow(String jointInfoShow){
        setJointInfoShow(jointInfoShow);
		return this;
    }


    /**
    * 设置 办理机构
    * @param jointInfoShowList
    */
    public BasicsInfoQuery jointInfoShowList(List<String> jointInfoShowList){
        this.jointInfoShowList = jointInfoShowList;
		return this;
    }
	/**
    * 设置 法定时限
    * @param legalTimeLimitShow
    */
    public BasicsInfoQuery legalTimeLimitShow(String legalTimeLimitShow){
        setLegalTimeLimitShow(legalTimeLimitShow);
		return this;
    }


    /**
    * 设置 法定时限
    * @param legalTimeLimitShowList
    */
    public BasicsInfoQuery legalTimeLimitShowList(List<String> legalTimeLimitShowList){
        this.legalTimeLimitShowList = legalTimeLimitShowList;
		return this;
    }
	/**
    * 设置 承诺时限
    * @param promiseTimeLimitShow
    */
    public BasicsInfoQuery promiseTimeLimitShow(String promiseTimeLimitShow){
        setPromiseTimeLimitShow(promiseTimeLimitShow);
		return this;
    }


    /**
    * 设置 承诺时限
    * @param promiseTimeLimitShowList
    */
    public BasicsInfoQuery promiseTimeLimitShowList(List<String> promiseTimeLimitShowList){
        this.promiseTimeLimitShowList = promiseTimeLimitShowList;
		return this;
    }
	
	/**
    * 设置  是否收费,0,否，1是 默认0
    * @param isChargesShow
    */
    public BasicsInfoQuery isChargesShow(Integer isChargesShow){
        setIsChargesShow(isChargesShow);
		return this;
    }

    /**
    * 设置 开始 是否收费,0,否，1是 默认0
    * @param isChargesShowStart
    */
    public BasicsInfoQuery isChargesShowStart(Integer isChargesShowStart){
        this.isChargesShowStart = isChargesShowStart;
		return this;
    }


    /**
    * 设置 结束 是否收费,0,否，1是 默认0
    * @param isChargesShowEnd
    */
    public BasicsInfoQuery isChargesShowEnd(Integer isChargesShowEnd){
        this.isChargesShowEnd = isChargesShowEnd;
		return this;
    }


    /**
    * 设置 增加 是否收费,0,否，1是 默认0
    * @param isChargesShowIncrement
    */
    public BasicsInfoQuery isChargesShowIncrement(Integer isChargesShowIncrement){
        this.isChargesShowIncrement = isChargesShowIncrement;
		return this;
    }


    /**
    * 设置 是否收费,0,否，1是 默认0
    * @param isChargesShowList
    */
    public BasicsInfoQuery isChargesShowList(List<Integer> isChargesShowList){
        this.isChargesShowList = isChargesShowList;
		return this;
    }
	/**
    * 设置 收费金额
    * @param charges
    */
    public BasicsInfoQuery charges(String charges){
        setCharges(charges);
		return this;
    }


    /**
    * 设置 收费金额
    * @param chargesList
    */
    public BasicsInfoQuery chargesList(List<String> chargesList){
        this.chargesList = chargesList;
		return this;
    }
	/**
    * 设置 办公时间
    * @param handleTimeShow
    */
    public BasicsInfoQuery handleTimeShow(String handleTimeShow){
        setHandleTimeShow(handleTimeShow);
		return this;
    }


    /**
    * 设置 办公时间
    * @param handleTimeShowList
    */
    public BasicsInfoQuery handleTimeShowList(List<String> handleTimeShowList){
        this.handleTimeShowList = handleTimeShowList;
		return this;
    }
	/**
    * 设置 办公地址
    * @param handlePlaceShow
    */
    public BasicsInfoQuery handlePlaceShow(String handlePlaceShow){
        setHandlePlaceShow(handlePlaceShow);
		return this;
    }


    /**
    * 设置 办公地址
    * @param handlePlaceShowList
    */
    public BasicsInfoQuery handlePlaceShowList(List<String> handlePlaceShowList){
        this.handlePlaceShowList = handlePlaceShowList;
		return this;
    }
	/**
    * 设置 咨询电话
    * @param cousultingTelephoneShow
    */
    public BasicsInfoQuery cousultingTelephoneShow(String cousultingTelephoneShow){
        setCousultingTelephoneShow(cousultingTelephoneShow);
		return this;
    }


    /**
    * 设置 咨询电话
    * @param cousultingTelephoneShowList
    */
    public BasicsInfoQuery cousultingTelephoneShowList(List<String> cousultingTelephoneShowList){
        this.cousultingTelephoneShowList = cousultingTelephoneShowList;
		return this;
    }
	/**
    * 设置 投诉电话
    * @param supervisoryTelephoneShow
    */
    public BasicsInfoQuery supervisoryTelephoneShow(String supervisoryTelephoneShow){
        setSupervisoryTelephoneShow(supervisoryTelephoneShow);
		return this;
    }


    /**
    * 设置 投诉电话
    * @param supervisoryTelephoneShowList
    */
    public BasicsInfoQuery supervisoryTelephoneShowList(List<String> supervisoryTelephoneShowList){
        this.supervisoryTelephoneShowList = supervisoryTelephoneShowList;
		return this;
    }
	/**
    * 设置 结果信息
    * @param resultInfo
    */
    public BasicsInfoQuery resultInfo(String resultInfo){
        setResultInfo(resultInfo);
		return this;
    }


    /**
    * 设置 结果信息
    * @param resultInfoList
    */
    public BasicsInfoQuery resultInfoList(List<String> resultInfoList){
        this.resultInfoList = resultInfoList;
		return this;
    }
	/**
    * 设置 常见问题
    * @param qa
    */
    public BasicsInfoQuery qa(String qa){
        setQa(qa);
		return this;
    }


    /**
    * 设置 常见问题
    * @param qaList
    */
    public BasicsInfoQuery qaList(List<String> qaList){
        this.qaList = qaList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public BasicsInfoQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public BasicsInfoQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public BasicsInfoQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public BasicsInfoQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public BasicsInfoQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public BasicsInfoQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public BasicsInfoQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public BasicsInfoQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BasicsInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BasicsInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BasicsInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BasicsInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}